package com.huimv.eartag2.api.controller;


import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.api.service.SysBaseConfigService;
import lombok.extern.slf4j.Slf4j;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Description: 系统基础配置
 * @Author: 静静
 * @CreateTime: 2022-07-19  09:14
 * @Version: 1.0*/


@RestController
@RequestMapping(value = "/config")
@Slf4j
public class SysBaseConfigController {

    @Resource
    private SysBaseConfigService sysBaseConfigService;

/**
     * @description: 【增加】
     * @author: 静静
     * @date: 2022/7/19 5:08 下午
     * @param: maps
     **/

    @PostMapping("/add")
    public Result addConfig(@RequestBody List<Map<String, String>> maps){
        return sysBaseConfigService.add(maps);
    }



    @PostMapping("/remove")
    public Result removeConfig(@RequestBody List<String> ids){
        return sysBaseConfigService.remove(ids);
    }



    @PostMapping("/update")
    public Result updateConfig(@RequestBody  List<Map<String, String>> maps){
        return sysBaseConfigService.update(maps);
    }



    @GetMapping("/getDateById")
    public Result getDateById(@Param("id") String id){
        return sysBaseConfigService.getDateById(id);
    }




    @PostMapping("/list")
    public Result list(@RequestBody Map<String,String> paramsMap){
        return sysBaseConfigService.list(paramsMap);
    }



//    @PostMapping("/sync")
//    public Result syncConfig(@RequestBody Map<String,String> paramsMap){
//        return sysBaseConfigService.syncCong(paramsMap);
//    }

    @PostMapping("/listWarning")
    public Result listWarning(@RequestBody Map<String,String> paramsMap){
        return sysBaseConfigService.listWarning(paramsMap);
    }
    @PostMapping("/updateWarning")
    public Result updateWarning(@RequestBody Map<String,String> paramsMap){
        return sysBaseConfigService.updateWarning(paramsMap);
    }

}
